Bug 467964 - Couldn't get fd's flags: Bad file descriptor
Couldn't get fd's flags: Bad file descriptor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mtr (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-21 17:37 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 11:16:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for mtr-0.75 (440 bytes, patch)
2008-10-22 02:12 EDT, Zdenek Prikryl
no flags Details | Diff
Patch for mtr-0.75 (426 bytes, patch)
2008-10-23 07:59 EDT, Zdenek Prikryl
no flags Details | Diff

  None (edit)
Description Dave Jones 2008-10-21 17:37:17 EDT
Every time I start mtr, it prints to stdout ..

Couldn't get fd's flags: Bad file descriptor

The app seems to work just fine apart from this.
Comment 1 Zdenek Prikryl 2008-10-22 01:43:15 EDT
Hi, do you have ipv6 enabled?
Comment 2 Dave Jones 2008-10-22 02:04:24 EDT
No.  I did this post-install ..

echo blacklist ipv6 >> /etc/modprobe.d/blacklist
sed -ie /NETWORKING_IPV6=/s/yes/no/ /etc/sysconfig/network
echo NETWORKING_IPV6=no >> /etc/sysconfig/network
/sbin/chkconfig ip6tables off
Comment 3 Zdenek Prikryl 2008-10-22 02:12:04 EDT
Created attachment 321115 [details]
Patch for mtr-0.75

Please, could you apply this patch and test it again? Thanks.
Comment 4 Zdenek Prikryl 2008-10-23 07:59:35 EDT
Created attachment 321270 [details]
Patch for mtr-0.75

Ok, finally I managed to have functional rawhide. The following patch is tested and it fixes the problem for me.

Note You need to log in before you can comment on or make changes to this bug.